Index: palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 3196)
+++ palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 4405)
@@ -13,6 +13,6 @@
     <x>0</x>
     <y>0</y>
-    <width>600</width>
-    <height>700</height>
+    <width>1185</width>
+    <height>800</height>
    </rect>
   </property>
@@ -25,12 +25,12 @@
   <property name="minimumSize">
    <size>
-    <width>600</width>
-    <height>700</height>
+    <width>1185</width>
+    <height>800</height>
    </size>
   </property>
   <property name="maximumSize">
    <size>
-    <width>600</width>
-    <height>700</height>
+    <width>1185</width>
+    <height>800</height>
    </size>
   </property>
@@ -67,6 +67,6 @@
      <rect>
       <x>0</x>
-      <y>570</y>
-      <width>601</width>
+      <y>680</y>
+      <width>1181</width>
       <height>81</height>
      </rect>
@@ -140,5 +140,5 @@
        <x>10</x>
        <y>50</y>
-       <width>581</width>
+       <width>771</width>
        <height>26</height>
       </rect>
@@ -165,7 +165,7 @@
      <rect>
       <x>0</x>
-      <y>5</y>
-      <width>591</width>
-      <height>581</height>
+      <y>-5</y>
+      <width>1181</width>
+      <height>696</height>
      </rect>
     </property>
@@ -194,35 +194,32 @@
       <string>Default</string>
      </attribute>
-     <widget class="QGroupBox" name="group_job">
+     <widget class="QGroupBox" name="group_execution">
       <property name="enabled">
-       <bool>true</bool>
+       <bool>false</bool>
       </property>
       <property name="geometry">
        <rect>
-        <x>0</x>
-        <y>0</y>
-        <width>571</width>
-        <height>296</height>
+        <x>10</x>
+        <y>395</y>
+        <width>431</width>
+        <height>266</height>
        </rect>
       </property>
-      <property name="font">
-       <font>
-        <weight>50</weight>
-        <bold>false</bold>
-       </font>
-      </property>
       <property name="title">
-       <string notr="true">Job name</string>
+       <string>Execution</string>
+      </property>
+      <property name="alignment">
+       <set>Qt::AlignCenter</set>
       </property>
       <property name="flat">
-       <bool>true</bool>
-      </property>
-      <widget class="QLineEdit" name="line_jobname">
-       <property name="geometry">
-        <rect>
-         <x>90</x>
-         <y>30</y>
-         <width>481</width>
-         <height>25</height>
+       <bool>false</bool>
+      </property>
+      <widget class="QLineEdit" name="line_q">
+       <property name="geometry">
+        <rect>
+         <x>310</x>
+         <y>80</y>
+         <width>111</width>
+         <height>21</height>
         </rect>
        </property>
@@ -230,39 +227,270 @@
         <string/>
        </property>
-      </widget>
-      <widget class="QPushButton" name="pushButton">
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignLeading|Qt::AlignLeft</set>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_2">
+       <property name="geometry">
+        <rect>
+         <x>230</x>
+         <y>75</y>
+         <width>71</width>
+         <height>21</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Queue:</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_pe">
+       <property name="geometry">
+        <rect>
+         <x>100</x>
+         <y>105</y>
+         <width>101</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_3">
+       <property name="geometry">
+        <rect>
+         <x>-20</x>
+         <y>105</y>
+         <width>111</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Cores:</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_tpn">
+       <property name="geometry">
+        <rect>
+         <x>310</x>
+         <y>105</y>
+         <width>111</width>
+         <height>21</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_4">
+       <property name="geometry">
+        <rect>
+         <x>200</x>
+         <y>100</y>
+         <width>101</width>
+         <height>21</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Tasks per node:</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_account">
+       <property name="geometry">
+        <rect>
+         <x>310</x>
+         <y>130</y>
+         <width>111</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_5">
+       <property name="geometry">
+        <rect>
+         <x>200</x>
+         <y>130</y>
+         <width>101</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Project account:</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_6">
+       <property name="geometry">
+        <rect>
+         <x>-10</x>
+         <y>130</y>
+         <width>101</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Wallclock time:</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_time">
+       <property name="geometry">
+        <rect>
+         <x>100</x>
+         <y>130</y>
+         <width>101</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_7">
+       <property name="geometry">
+        <rect>
+         <x>0</x>
+         <y>80</y>
+         <width>91</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Configuration:</string>
+       </property>
+       <property name="scaledContents">
+        <bool>false</bool>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_host">
+       <property name="geometry">
+        <rect>
+         <x>100</x>
+         <y>80</y>
+         <width>101</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="Line" name="line">
        <property name="geometry">
         <rect>
          <x>10</x>
-         <y>30</y>
-         <width>71</width>
-         <height>24</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Select</string>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label">
+         <y>150</y>
+         <width>411</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+      </widget>
+      <widget class="QCheckBox" name="check_restarts">
        <property name="geometry">
         <rect>
          <x>10</x>
-         <y>65</y>
-         <width>151</width>
-         <height>16</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Recently submitted jobs:</string>
-       </property>
-      </widget>
-      <widget class="QListWidget" name="list_jobname">
+         <y>165</y>
+         <width>121</width>
+         <height>23</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Allow restarts</string>
+       </property>
+      </widget>
+      <widget class="QCheckBox" name="check_delete_tmp_files">
        <property name="geometry">
         <rect>
          <x>10</x>
-         <y>85</y>
-         <width>561</width>
-         <height>181</height>
-        </rect>
+         <y>185</y>
+         <width>281</width>
+         <height>23</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Do not delete temporary directory at end</string>
+       </property>
+      </widget>
+      <widget class="QCheckBox" name="check_verbose">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>205</y>
+         <width>261</width>
+         <height>23</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>No prompt on confirmation (silent)</string>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_restart">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="geometry">
+        <rect>
+         <x>130</x>
+         <y>165</y>
+         <width>291</width>
+         <height>20</height>
+        </rect>
+       </property>
+       <property name="font">
+        <font>
+         <weight>75</weight>
+         <bold>true</bold>
+        </font>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QCheckBox" name="check_cycfill">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>225</y>
+         <width>261</width>
+         <height>21</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Use cyclic fill method</string>
+       </property>
+      </widget>
+      <widget class="QCheckBox" name="check_svf">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>245</y>
+         <width>261</width>
+         <height>21</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Read sky view factors from file</string>
        </property>
       </widget>
@@ -273,7 +501,7 @@
        <property name="geometry">
         <rect>
-         <x>70</x>
-         <y>270</y>
-         <width>271</width>
+         <x>100</x>
+         <y>50</y>
+         <width>251</width>
          <height>25</height>
         </rect>
@@ -310,14 +538,11 @@
        </item>
       </widget>
-      <widget class="QLabel" name="label_usercode">
-       <property name="enabled">
-        <bool>true</bool>
-       </property>
-       <property name="geometry">
-        <rect>
-         <x>350</x>
-         <y>267</y>
-         <width>231</width>
-         <height>31</height>
+      <widget class="QLineEdit" name="line_jobname">
+       <property name="geometry">
+        <rect>
+         <x>100</x>
+         <y>20</y>
+         <width>321</width>
+         <height>25</height>
         </rect>
        </property>
@@ -331,64 +556,25 @@
         <string/>
        </property>
+       <property name="frame">
+        <bool>true</bool>
+       </property>
+       <property name="readOnly">
+        <bool>true</bool>
+       </property>
       </widget>
       <widget class="QLabel" name="label_8">
        <property name="geometry">
         <rect>
-         <x>10</x>
-         <y>275</y>
-         <width>81</width>
+         <x>0</x>
+         <y>55</y>
+         <width>91</width>
          <height>16</height>
         </rect>
        </property>
        <property name="text">
-        <string>Job type:</string>
-       </property>
-      </widget>
-     </widget>
-     <widget class="QGroupBox" name="group_execution">
-      <property name="enabled">
-       <bool>false</bool>
-      </property>
-      <property name="geometry">
-       <rect>
-        <x>0</x>
-        <y>305</y>
-        <width>431</width>
-        <height>231</height>
-       </rect>
-      </property>
-      <property name="title">
-       <string>Execution</string>
-      </property>
-      <property name="flat">
-       <bool>false</bool>
-      </property>
-      <widget class="QLineEdit" name="line_q">
-       <property name="geometry">
-        <rect>
-         <x>340</x>
-         <y>30</y>
-         <width>81</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignLeading|Qt::AlignLeft</set>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_2">
-       <property name="geometry">
-        <rect>
-         <x>260</x>
-         <y>25</y>
-         <width>71</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Queue:</string>
+        <string>Mode:</string>
+       </property>
+       <property name="scaledContents">
+        <bool>false</bool>
        </property>
        <property name="alignment">
@@ -396,214 +582,11 @@
        </property>
       </widget>
-      <widget class="QLineEdit" name="line_pe">
-       <property name="geometry">
-        <rect>
-         <x>120</x>
-         <y>55</y>
-         <width>101</width>
-         <height>20</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_3">
+      <widget class="QLabel" name="label_13">
        <property name="geometry">
         <rect>
          <x>0</x>
-         <y>55</y>
-         <width>111</width>
-         <height>16</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Processing cores:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLineEdit" name="line_tpn">
-       <property name="geometry">
-        <rect>
-         <x>340</x>
-         <y>55</y>
-         <width>61</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_4">
-       <property name="geometry">
-        <rect>
-         <x>230</x>
-         <y>50</y>
-         <width>101</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Tasks per node:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLineEdit" name="line_account">
-       <property name="geometry">
-        <rect>
-         <x>340</x>
-         <y>80</y>
-         <width>81</width>
-         <height>20</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_5">
-       <property name="geometry">
-        <rect>
-         <x>230</x>
-         <y>80</y>
-         <width>101</width>
-         <height>16</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Project account:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_6">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>80</y>
-         <width>101</width>
-         <height>16</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Wallclock time:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLineEdit" name="line_time">
-       <property name="geometry">
-        <rect>
-         <x>120</x>
-         <y>80</y>
-         <width>101</width>
-         <height>20</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_7">
-       <property name="geometry">
-        <rect>
-         <x>20</x>
-         <y>30</y>
+         <y>25</y>
          <width>91</width>
          <height>16</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Configuration:</string>
-       </property>
-       <property name="scaledContents">
-        <bool>false</bool>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLineEdit" name="line_host">
-       <property name="geometry">
-        <rect>
-         <x>120</x>
-         <y>30</y>
-         <width>101</width>
-         <height>20</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="Line" name="line">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>105</y>
-         <width>431</width>
-         <height>20</height>
-        </rect>
-       </property>
-       <property name="orientation">
-        <enum>Qt::Horizontal</enum>
-       </property>
-      </widget>
-      <widget class="QCheckBox" name="check_restarts">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>120</y>
-         <width>121</width>
-         <height>23</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Allow restarts</string>
-       </property>
-      </widget>
-      <widget class="QCheckBox" name="check_delete_tmp_files">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>140</y>
-         <width>281</width>
-         <height>23</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Do not delete temporary directory at end</string>
-       </property>
-      </widget>
-      <widget class="QCheckBox" name="check_verbose">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>160</y>
-         <width>261</width>
-         <height>23</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>No prompt on confirmation (silent)</string>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_restart">
-       <property name="enabled">
-        <bool>false</bool>
-       </property>
-       <property name="geometry">
-        <rect>
-         <x>130</x>
-         <y>120</y>
-         <width>291</width>
-         <height>20</height>
         </rect>
        </property>
@@ -615,50 +598,335 @@
        </property>
        <property name="text">
-        <string/>
-       </property>
-      </widget>
-      <widget class="QCheckBox" name="check_cycfill">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
+        <string>Selected job:</string>
+       </property>
+       <property name="scaledContents">
+        <bool>false</bool>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
+       </property>
+      </widget>
+      <widget class="QLabel" name="palm_logo">
+       <property name="geometry">
+        <rect>
+         <x>330</x>
          <y>180</y>
-         <width>261</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Use cyclic fill method</string>
-       </property>
-      </widget>
-      <widget class="QCheckBox" name="check_svf">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>200</y>
-         <width>261</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="text">
-        <string>Read sky view factors from file</string>
+         <width>77</width>
+         <height>72</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>TextLabel</string>
+       </property>
+       <property name="scaledContents">
+        <bool>true</bool>
        </property>
       </widget>
      </widget>
-     <widget class="QLabel" name="palm_logo">
+     <widget class="QLabel" name="label_9">
       <property name="geometry">
        <rect>
-        <x>490</x>
-        <y>440</y>
-        <width>77</width>
-        <height>72</height>
+        <x>460</x>
+        <y>40</y>
+        <width>145</width>
+        <height>16</height>
        </rect>
       </property>
       <property name="text">
-       <string>TextLabel</string>
-      </property>
-      <property name="scaledContents">
+       <string>Browse at:</string>
+      </property>
+     </widget>
+     <widget class="QPushButton" name="push_create_set">
+      <property name="geometry">
+       <rect>
+        <x>560</x>
+        <y>630</y>
+        <width>131</width>
+        <height>24</height>
+       </rect>
+      </property>
+      <property name="text">
+       <string>Create set from job</string>
+      </property>
+     </widget>
+     <widget class="QPushButton" name="push_copy">
+      <property name="geometry">
+       <rect>
+        <x>460</x>
+        <y>630</y>
+        <width>91</width>
+        <height>24</height>
+       </rect>
+      </property>
+      <property name="text">
+       <string>Copy job</string>
+      </property>
+     </widget>
+     <widget class="QLineEdit" name="line_path">
+      <property name="enabled">
        <bool>true</bool>
       </property>
+      <property name="geometry">
+       <rect>
+        <x>530</x>
+        <y>35</y>
+        <width>351</width>
+        <height>23</height>
+       </rect>
+      </property>
+      <property name="readOnly">
+       <bool>true</bool>
+      </property>
      </widget>
+     <widget class="QGroupBox" name="group_browser">
+      <property name="geometry">
+       <rect>
+        <x>450</x>
+        <y>5</y>
+        <width>721</width>
+        <height>656</height>
+       </rect>
+      </property>
+      <property name="title">
+       <string>Browser</string>
+      </property>
+      <property name="alignment">
+       <set>Qt::AlignCenter</set>
+      </property>
+      <widget class="QListWidget" name="list_jobs">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>85</y>
+         <width>231</width>
+         <height>531</height>
+        </rect>
+       </property>
+       <property name="contextMenuPolicy">
+        <enum>Qt::NoContextMenu</enum>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+       <property name="sortingEnabled">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QListWidget" name="list_input">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>85</y>
+         <width>231</width>
+         <height>141</height>
+        </rect>
+       </property>
+       <property name="contextMenuPolicy">
+        <enum>Qt::CustomContextMenu</enum>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+       <property name="selectionMode">
+        <enum>QAbstractItemView::MultiSelection</enum>
+       </property>
+       <property name="sortingEnabled">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QListWidget" name="list_user">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>250</y>
+         <width>231</width>
+         <height>141</height>
+        </rect>
+       </property>
+       <property name="contextMenuPolicy">
+        <enum>Qt::CustomContextMenu</enum>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+       <property name="selectionMode">
+        <enum>QAbstractItemView::MultiSelection</enum>
+       </property>
+       <property name="sortingEnabled">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_11">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>65</y>
+         <width>121</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Available jobs:</string>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_10">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>65</y>
+         <width>74</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Input files:</string>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_12">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>230</y>
+         <width>156</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>User code:</string>
+       </property>
+      </widget>
+      <widget class="QPushButton" name="push_update">
+       <property name="geometry">
+        <rect>
+         <x>440</x>
+         <y>30</y>
+         <width>121</width>
+         <height>24</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Update</string>
+       </property>
+      </widget>
+      <widget class="QListWidget" name="list_output">
+       <property name="geometry">
+        <rect>
+         <x>490</x>
+         <y>85</y>
+         <width>221</width>
+         <height>566</height>
+        </rect>
+       </property>
+       <property name="contextMenuPolicy">
+        <enum>Qt::CustomContextMenu</enum>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+       <property name="selectionMode">
+        <enum>QAbstractItemView::MultiSelection</enum>
+       </property>
+       <property name="sortingEnabled">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_14">
+       <property name="geometry">
+        <rect>
+         <x>490</x>
+         <y>65</y>
+         <width>74</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Output files:</string>
+       </property>
+      </widget>
+      <widget class="QListWidget" name="list_monitoring">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>415</y>
+         <width>231</width>
+         <height>236</height>
+        </rect>
+       </property>
+       <property name="contextMenuPolicy">
+        <enum>Qt::CustomContextMenu</enum>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+       <property name="selectionMode">
+        <enum>QAbstractItemView::MultiSelection</enum>
+       </property>
+       <property name="sortingEnabled">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label_15">
+       <property name="geometry">
+        <rect>
+         <x>250</x>
+         <y>395</y>
+         <width>156</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Monitoring files:</string>
+       </property>
+      </widget>
+     </widget>
+     <widget class="QGroupBox" name="group_history">
+      <property name="geometry">
+       <rect>
+        <x>10</x>
+        <y>5</y>
+        <width>431</width>
+        <height>381</height>
+       </rect>
+      </property>
+      <property name="title">
+       <string>History</string>
+      </property>
+      <property name="alignment">
+       <set>Qt::AlignCenter</set>
+      </property>
+      <widget class="QListWidget" name="list_jobname">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>50</y>
+         <width>411</width>
+         <height>321</height>
+        </rect>
+       </property>
+       <property name="alternatingRowColors">
+        <bool>true</bool>
+       </property>
+      </widget>
+      <widget class="QLabel" name="label">
+       <property name="geometry">
+        <rect>
+         <x>10</x>
+         <y>30</y>
+         <width>151</width>
+         <height>16</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string>Recently submitted jobs:</string>
+       </property>
+      </widget>
+     </widget>
+     <zorder>group_browser</zorder>
+     <zorder>group_execution</zorder>
+     <zorder>label_9</zorder>
+     <zorder>push_create_set</zorder>
+     <zorder>push_copy</zorder>
+     <zorder>line_path</zorder>
+     <zorder>group_history</zorder>
     </widget>
     <widget class="QWidget" name="tab_2">
@@ -672,7 +940,7 @@
       <property name="geometry">
        <rect>
-        <x>0</x>
+        <x>10</x>
         <y>5</y>
-        <width>501</width>
+        <width>511</width>
         <height>401</height>
        </rect>
@@ -680,4 +948,7 @@
       <property name="title">
        <string>Advanced settings</string>
+      </property>
+      <property name="alignment">
+       <set>Qt::AlignCenter</set>
       </property>
       <property name="flat">
@@ -967,5 +1238,5 @@
        <rect>
         <x>10</x>
-        <y>410</y>
+        <y>420</y>
         <width>401</width>
         <height>101</height>
@@ -973,5 +1244,8 @@
       </property>
       <property name="title">
-       <string/>
+       <string>Processor distribution</string>
+      </property>
+      <property name="alignment">
+       <set>Qt::AlignCenter</set>
       </property>
       <widget class="QLineEdit" name="line_PE_ocean">
@@ -1034,29 +1308,4 @@
        <property name="alignment">
         <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-       </property>
-      </widget>
-      <widget class="QLabel" name="label_coupled1">
-       <property name="geometry">
-        <rect>
-         <x>10</x>
-         <y>1</y>
-         <width>181</width>
-         <height>21</height>
-        </rect>
-       </property>
-       <property name="autoFillBackground">
-        <bool>false</bool>
-       </property>
-       <property name="text">
-        <string>Processor distribution</string>
-       </property>
-       <property name="scaledContents">
-        <bool>false</bool>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignBottom|Qt::AlignJustify</set>
-       </property>
-       <property name="wordWrap">
-        <bool>true</bool>
        </property>
       </widget>
@@ -1119,6 +1368,6 @@
      <x>0</x>
      <y>0</y>
-     <width>600</width>
-     <height>30</height>
+     <width>1185</width>
+     <height>19</height>
     </rect>
    </property>
@@ -1126,8 +1375,8 @@
     <property name="geometry">
      <rect>
-      <x>341</x>
-      <y>82</y>
-      <width>129</width>
-      <height>189</height>
+      <x>261</x>
+      <y>103</y>
+      <width>147</width>
+      <height>156</height>
      </rect>
     </property>
@@ -1157,5 +1406,4 @@
     </property>
     <addaction name="action_start_watchdog"/>
-    <addaction name="action_start_jobmanager"/>
    </widget>
    <addaction name="menuStart"/>
@@ -1235,5 +1483,4 @@
  <layoutdefault spacing="1" margin="11"/>
  <tabstops>
-  <tabstop>pushButton</tabstop>
   <tabstop>drop_job</tabstop>
   <tabstop>line_host</tabstop>
@@ -1279,5 +1526,5 @@
     <hint type="sourcelabel">
      <x>160</x>
-     <y>652</y>
+     <y>756</y>
     </hint>
     <hint type="destinationlabel">
@@ -1295,5 +1542,5 @@
     <hint type="sourcelabel">
      <x>73</x>
-     <y>652</y>
+     <y>756</y>
     </hint>
     <hint type="destinationlabel">
@@ -1310,6 +1557,6 @@
    <hints>
     <hint type="sourcelabel">
-     <x>226</x>
-     <y>361</y>
+     <x>238</x>
+     <y>406</y>
     </hint>
     <hint type="destinationlabel">
@@ -1320,16 +1567,656 @@
   </connection>
   <connection>
-   <sender>pushButton</sender>
+   <sender>drop_job</sender>
+   <signal>currentIndexChanged(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>276</x>
+     <y>406</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>334</x>
+     <y>356</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_restarts</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>78</x>
+     <y>514</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>1</x>
+     <y>530</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_delete_tmp_files</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>82</x>
+     <y>534</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>3</x>
+     <y>562</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_verbose</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>63</x>
+     <y>554</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>5</x>
+     <y>623</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_b</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>134</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>67</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_F</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>159</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>103</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_I</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>454</x>
+     <y>184</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>129</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_k</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>209</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>158</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_O</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>234</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>188</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_x</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>259</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>255</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_host</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>169</x>
+     <y>421</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>26</x>
+     <y>362</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_pe</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>166</x>
+     <y>446</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>5</x>
+     <y>440</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_time</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>189</x>
+     <y>471</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>4</x>
+     <y>480</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_q</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>398</x>
+     <y>422</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>507</x>
+     <y>387</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_account</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>421</x>
+     <y>471</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>506</x>
+     <y>416</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_tpn</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>396</x>
+     <y>447</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>505</x>
+     <y>447</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_m</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>304</x>
+     <y>331</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>328</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_D</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>414</x>
+     <y>381</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>396</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_s</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>414</x>
+     <y>406</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>522</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_w</sender>
+   <signal>textEdited(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>414</x>
+     <y>431</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>612</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_user</sender>
+   <signal>textChanged(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>414</x>
+     <y>456</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>650</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>button_clear</sender>
    <signal>clicked()</signal>
    <receiver>MainWindow</receiver>
-   <slot>choosejob()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>57</x>
-     <y>120</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>535</x>
-     <y>0</y>
+   <slot>reset_window()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>299</x>
+     <y>756</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>689</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_M</sender>
+   <signal>textChanged(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>414</x>
+     <y>356</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>599</x>
+     <y>287</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_quit</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>close()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_save</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>save_to_file()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_last</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>open_last()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_open</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>open_from_file()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_help</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>help()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_about</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>about_gui()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_default</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>save_default()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>479</x>
+     <y>366</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>line_jobname</sender>
+   <signal>textChanged(QString)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_lineinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>181</x>
+     <y>352</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>4</x>
+     <y>122</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_Z</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>434</x>
+     <y>284</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>458</x>
+     <y>344</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_cycfill</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>272</x>
+     <y>572</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>4</x>
+     <y>510</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_start_watchdog</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>start_watchdog()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>458</x>
+     <y>344</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_svf</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>174</x>
+     <y>592</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>596</x>
+     <y>494</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>push_update</sender>
+   <signal>clicked()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>update_all()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>982</x>
+     <y>115</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>798</x>
+     <y>44</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>push_create_set</sender>
+   <signal>clicked()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>create_set()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>762</x>
+     <y>687</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>863</x>
+     <y>634</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>push_copy</sender>
+   <signal>clicked()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>copy_job()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>622</x>
+     <y>687</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>985</x>
+     <y>650</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>list_user</sender>
+   <signal>customContextMenuRequested(QPoint)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>openmenuuser()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>962</x>
+     <y>412</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>1110</x>
+     <y>642</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>list_jobs</sender>
+   <signal>itemActivated(QListWidgetItem*)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>update_input()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>681</x>
+     <y>318</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>918</x>
+     <y>667</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>list_input</sender>
+   <signal>customContextMenuRequested(QPoint)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>openmenuinput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>850</x>
+     <y>256</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>1072</x>
+     <y>657</y>
     </hint>
    </hints>
@@ -1352,576 +2239,32 @@
   </connection>
   <connection>
-   <sender>drop_job</sender>
-   <signal>currentIndexChanged(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_rc_list()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>264</x>
-     <y>361</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>334</x>
-     <y>356</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_restarts</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_rc_list()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>76</x>
-     <y>527</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>1</x>
-     <y>530</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_delete_tmp_files</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>80</x>
-     <y>547</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>3</x>
-     <y>562</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_verbose</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>61</x>
-     <y>567</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>5</x>
-     <y>623</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_b</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>139</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>67</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_F</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>164</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>103</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_I</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>454</x>
-     <y>189</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>129</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_k</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>214</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>158</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_O</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>239</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>188</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_x</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>282</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>255</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_host</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>127</x>
-     <y>434</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>26</x>
-     <y>362</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_pe</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>124</x>
-     <y>459</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>5</x>
-     <y>440</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_time</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>187</x>
-     <y>484</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>4</x>
-     <y>480</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_q</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>346</x>
-     <y>435</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>507</x>
-     <y>387</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_account</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>369</x>
-     <y>484</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>506</x>
-     <y>416</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_tpn</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>344</x>
-     <y>460</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>505</x>
-     <y>447</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_m</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>304</x>
-     <y>330</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>328</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_D</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>414</x>
-     <y>380</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>396</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_s</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>414</x>
-     <y>405</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>522</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_w</sender>
-   <signal>textEdited(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>414</x>
-     <y>446</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>612</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_user</sender>
-   <signal>textChanged(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>414</x>
-     <y>479</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>650</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>button_clear</sender>
-   <signal>clicked()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>reset_window()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>299</x>
-     <y>654</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>689</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_M</sender>
-   <signal>textChanged(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>414</x>
-     <y>355</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>599</x>
-     <y>287</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_quit</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>close()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_save</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>save_to_file()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_last</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>open_last()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_open</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>open_from_file()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_help</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>help()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_about</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>about_gui()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_default</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>save_default()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>479</x>
-     <y>366</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>line_jobname</sender>
-   <signal>textChanged(QString)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_lineinput()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>179</x>
-     <y>121</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>4</x>
-     <y>122</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_Z</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>434</x>
-     <y>307</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>458</x>
-     <y>344</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_cycfill</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_rc_list()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>274</x>
-     <y>585</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>4</x>
-     <y>510</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_start_jobmanager</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>start_jobmanager()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>458</x>
-     <y>344</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>action_start_watchdog</sender>
-   <signal>triggered()</signal>
-   <receiver>MainWindow</receiver>
-   <slot>start_watchdog()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>458</x>
-     <y>344</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>check_svf</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_rc_list()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>172</x>
-     <y>593</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>596</x>
-     <y>494</y>
+   <sender>list_output</sender>
+   <signal>customContextMenuRequested(QPoint)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>openmenuoutput()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>1035</x>
+     <y>570</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>1183</x>
+     <y>692</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>list_monitoring</sender>
+   <signal>customContextMenuRequested(QPoint)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>openmenumonitoring()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>891</x>
+     <y>534</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>1182</x>
+     <y>495</y>
     </hint>
    </hints>
@@ -1947,4 +2290,12 @@
   <slot>start_watchdog()</slot>
   <slot>start_jobmanager()</slot>
+  <slot>update_all()</slot>
+  <slot>create_set()</slot>
+  <slot>copy_job()</slot>
+  <slot>openmenuuser()</slot>
+  <slot>update_input()</slot>
+  <slot>openmenuinput()</slot>
+  <slot>openmenuoutput()</slot>
+  <slot>openmenumonitoring()</slot>
  </slots>
 </ui>
